Problems with online play: "Wrong Version. Do you want to update?" -1 reply

Please wait...

Guest

I didn't make it!

0 XP

 
#1 13 years ago

Can Somebody please help be with this? As you can imagine, i'm getting really upset because i can't access any games online. I have all the latest patches, mods, and everything is legit. (the works) The thing is, whenever i try to connect to a game, it will say "Wrong Version. Do you want to update?" No matter which mod or expansion of battlefield i connect through, it will always say this. It has only been happening recently, and the error has been taking over the last few servers that i can still access. I thought that they may have updated to a new type of DC Final, but i looked everywhere on the web and couldn't find any such thing. PLEASE REMEDY MY PROBLEM!?:bawl:




Big_Daddy

I follow teh Moo!

50 XP

5th August 2004

0 Uploads

698 Posts

0 Threads

#2 13 years ago

Well, the latest patch for Battlefield came out a few weeks ago. It is a small patch, only about 8mb. You should have the 1.6.19 patch and then get the 1.6.19- 1.61b incremental patch.




Colin_C

I'm too cool to Post

50 XP

6th January 2005

0 Uploads

16 Posts

0 Threads

#3 13 years ago

Do you have to install both the new battlefield patch 1.61b and DC 0.7 for DC Final to work?I downloaded DC 0.7 and Final, but only a few servers work out of a bunch, even if I filter to DC Final. Today I uninstalled Desert Combat completely, reinstalled the DC 0.7 Full Install patch and I am downloading BF 1.6.19 right now and I'll get 1.61b to see if that does it then download the DC Final again, is all of this necessary because it only says you need 0.7 to use DC Final, but last time I tried it didn't work.




cjwoolf2009

The Internet ends at GF

50 XP

7th April 2004

0 Uploads

151 Posts

0 Threads

#4 13 years ago

To ensure maxium services and players, you need these:

Desert Combat 0.7 Desert Combat Final Full 1.6 patch 1.61b patch




apocalypse_kid

I would die without GF

50 XP

20th May 2002

0 Uploads

5,498 Posts

0 Threads

#5 13 years ago

I suggest using All Aeeing Eye instead of the ingame browser (or Gamespy).

http://www.udpsoft.com/eye2/index.html

AK

:smokin: